Subject: Re: Purify or Comparable???

From: Erik Winkler <[email-masked]>
Date: Wed, 04 Oct 2000 14:10:27 -0400

I've used purify in a SunOS environment and it worked great.  Combined with
Pure Coverage I was able to test all my code for memory leaks.  I'm not
sure if it's available for LinuxPPC, but maybe for Linux i386.

Erik

Kevin Buettner wrote:

> On Oct 4,  5:44am, Michael Norton wrote:
>
> > What software tool is recommended for examining memory leaks in code?
> > Does a close cousin of Purify exist for LinuxPPC/ What do you coders
> > recommend?
>
> I've never used Purify, so I can't offer a comparison, but...
>
> I've found that dmalloc works quite well for debugging memory
> allocation related problems.  See http://dmalloc.com/.
>
> Kevin
>

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/